import providers

DIR_UP = 0
DIR_DOWN = 1
DIR_LEFT = 2
DIR_RIGHT = 3
A_PRESS_DOWN = 5
A_PRESS_UP = 6

class Accelerometer:
    def __init__(self):
        #setup accelerometer
        if (providers.NokiaAccelerometer.available()):
            self.provider = providers.NokiaAccelerometer()
        else:
            self.provider = providers.Demo()
        self.last_direction = None
        self.l_left = 50
        self.l_right = 50
        self.l_up = 50
        self.l_down = 50
        self.oax = 0;
        self.oay = 0;
        self.oaz = 0;
        self.press = False;

    def read_dir(self):
            direction=None
            event = []
            (a_x,a_y,a_z) = self.provider.position()
            roll = self.oax + (a_x-self.oax)*0.3
            pitch = self.oay + (a_y-self.oay)*0.3
            self.oax = a_x;
            self.oay = a_y;
            if abs(roll) > abs(pitch):
                if roll > self.l_left:
                    direction=DIR_LEFT
                if roll < -self.l_right:
                    direction=DIR_RIGHT
            else:
                if pitch > self.l_up:
                    direction=DIR_UP
                if pitch < -self.l_down:
                    direction=DIR_DOWN
            if abs(a_x) > 100 or abs(a_y) > 100:
                press = True
            else:
                press = False
            if self.press == True and press == False:
                event.append(A_PRESS_UP)
            elif press == True:
                event.append(A_PRESS_DOWN)
            self.press = press

            if direction != None:
                event.append(direction)

            return event

